## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate unic-langid-impl

Name:           rust-unic-langid-impl
Version:        0.9.6
Release:        %autorelease
Summary:        API for managing Unicode Language Identifiers

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/unic-langid-impl
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          unic-langid-impl-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
API for managing Unicode Language Identifiers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+binary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+binary-devel %{_description}

This package contains library source intended for building other packages which
use the "binary" feature of the "%{crate}" crate.

%files       -n %{name}+binary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+likelysubtags-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+likelysubtags-devel %{_description}

This package contains library source intended for building other packages which
use the "likelysubtags" feature of the "%{crate}" crate.

%files       -n %{name}+likelysubtags-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f binary

%build
%cargo_build -f binary

%install
%cargo_install -f binary

%if %{with check}
%check
# * skip a test that requires a files not included in published crates
%cargo_test -f binary -- -- --exact --skip parse
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 13 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2365362

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-2
- Drop accidentally packaged unused executables

* Tue Jun 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-1
- Update to version 0.9.5; Fixes RHBZ#2252814

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1; Fixes RHBZ#2136326

* Wed Mar 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-9
- Restore accidentally dropped feature subpackages

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-8
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-6
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 02 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.9.0-2
- Patch disabling binary installation

* Sun Oct 03 2021 Link Dupont <linkdupont@fedoraproject.org> - 0.9.0-1
- Initial package

## END: Generated by rpmautospec
